summaryrefslogtreecommitdiff
path: root/src/stage3/stage3.sh
diff options
context:
space:
mode:
authorAndreas Grapentin <andreas@grapentin.org>2018-05-23 22:34:04 +0200
committerAndreas Grapentin <andreas@grapentin.org>2018-05-23 22:34:04 +0200
commit4e0223ba90e229cfe066194ce2f4189bfcbf9e7a (patch)
treed0dfece247fba00c40a50a50241a5a70cfe923d6 /src/stage3/stage3.sh
parentc9d45d267226ecad2d5ac4b91efa8740c3542589 (diff)
beware of the monster - this commit unifies the separate porting efforts into one source tree
Diffstat (limited to 'src/stage3/stage3.sh')
-rwxr-xr-xsrc/stage3/stage3.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/src/stage3/stage3.sh b/src/stage3/stage3.sh
index 3fa90bb..edb0a77 100755
--- a/src/stage3/stage3.sh
+++ b/src/stage3/stage3.sh
@@ -33,7 +33,8 @@ stage3_makepkg() {
package_patch "${prefix[@]}" "$pkgname" || return
# substitute common variables
- sed "s#@MULTILIB@#${MULTILIB:-disable}#g" \
+ sed "s#@MULTILIB@#${MULTILIB:-disable}#g; \
+ s#@GCC_CONFIG_FLAGS@#${GCC_CONFIG_FLAGS[*]}#g" \
PKGBUILD.in > PKGBUILD
# prepare the pkgbuild
@@ -57,13 +58,13 @@ stage3_makepkg() {
if [ "x$1" != "x$pkgname" ]; then
# a bit of magic for -decross builds
- PKGDEST=. "$BUILDDIR/libremakepkg-$CARCH.sh" -n "$CHOST"-stage3 || return
+ PKGDEST=. "$BUILDDIR/libremakepkg.sh" -n "$CHOST"-stage3 || return
local pkgfiles pkgfile
pkgfiles=("$pkgname"-*.pkg.tar.xz); pkgfile="${pkgfiles[0]}"
mv -v "$pkgfile" "$PKGDEST/${pkgfile/$pkgname/$1}"
else
# regular build otherwise
- "$BUILDDIR/libremakepkg-$CARCH.sh" -n "$CHOST"-stage3 || return
+ "$BUILDDIR/libremakepkg.sh" -n "$CHOST"-stage3 || return
fi
}